Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome
Class QConfig

    java.lang.Object
      |
      +--com.jxml.qare.qhome.QConfig

public final class QConfig
extends Object

This class fetches the configuration data from data.qconfig.

Field Summary
`int` | `backupBlockCount`
`List` | `dbClassNames`
`String` | `emailAccount`
`String` | `format`
`static SimpleDateFormat` | `formater`
`String` | `homeUrl`
`int` | `limitWebService`
`String` | `mailPassword`
`String` | `mailUserName`
`int` | `pollTime`
`String` | `pop`
`String` | `refreshInterval`
`String` | `returnAddress`
`String` | `smtp`
`ArrayList` | `specialPrivileges`
`String` | `sqlDriver`
`String` | `sqlPassword`
`String` | `sqlUrl`
`String` | `sqlUser`
`boolean` | `testMode`

Constructor Summary
`QConfig()` Initializes object of this(QConfig) class.

Method Summary
`String` | `displayDate(Date date)`
`static String` | `emailAccount()` Returns senders(i.e from address) email address
`static int` | `getBackupBlockCount()`
`static List` | `getDBClassNames()`
`static List` | `getDBSpecialPrivileges()`
`static String` | `getDisplayDate(Date date)`
`static QConfig` | `getInstance()` Returns the instance of qconfig.
`static int` | `getWebServiceLimit()` The return address used when interacting with other QHome systems via email
`static String` | `homeUrl()` Returns address used when interacting with a browser.
`static String` | `longUserName(String shortUserName)`
`static String` | `longUserName(String shortUserName, String returnAddress)`
`static String` | `mailPassword()` Returns the e-mail account password.
`static String` | `mailUserName()` Returns the e-mail account name.
`static String` | `mash(String v)`
`static String` | `mashAddr(String addr)`
`static String` | `mashedReturnAddress()`
`static int` | `pollTime()` Returns the delay, in seconds, used when polling for mail.
`static String` | `pop()` Returns the address of the pop server used for reading mail.
`static String` | `refreshInterval()`
`static String` | `returnAddress()`
`static String` | `smtp()` Returns the address of the mail server used for sending mail.
`static String` | `sqlPassword()`
`static String` | `sqlUrl()`
`static String` | `sqlUser()`
`static boolean` | `testMode()` The the current mode qare is running ie default is non testing mode

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### backupBlockCount

    public int backupBlockCount

### homeUrl

    public String homeUrl

### returnAddress

    public String returnAddress

### emailAccount

    public String emailAccount

### smtp

    public String smtp

### pop

    public String pop

### mailUserName

    public String mailUserName

### mailPassword

    public String mailPassword

### pollTime

    public int pollTime

### refreshInterval

    public String refreshInterval

### sqlDriver

    public String sqlDriver

### sqlUser

    public String sqlUser

### sqlPassword

    public String sqlPassword

### sqlUrl

    public String sqlUrl

### testMode

    public boolean testMode

### limitWebService

    public int limitWebService

### format

    public String format

### dbClassNames

    public List dbClassNames

### formater

    public static SimpleDateFormat formater

### specialPrivileges

    public ArrayList specialPrivileges

Constructor Detail

### QConfig

    public QConfig()

  Initializes object of this(QConfig) class.

Method Detail

### getBackupBlockCount

    public static int getBackupBlockCount()

### getInstance

    public static QConfig getInstance()

  Returns the instance of qconfig.

### homeUrl

    public static String homeUrl()

  Returns address used when interacting with a browser.

### sqlUrl

    public static String sqlUrl()

### sqlUser

    public static String sqlUser()

### sqlPassword

    public static String sqlPassword()

### refreshInterval

    public static String refreshInterval()

### testMode

    public static boolean testMode()

  The the current mode qare is running ie default is non testing mode

### getWebServiceLimit

    public static int getWebServiceLimit()

  The return address used when interacting with other QHome systems via email

### returnAddress

    public static String returnAddress()

### getDBClassNames

    public static List getDBClassNames()

### getDBSpecialPrivileges

    public static List getDBSpecialPrivileges()

### getDisplayDate

    public static String getDisplayDate(Date date)

### displayDate

    public String displayDate(Date date)

### emailAccount

    public static String emailAccount()

  Returns senders(i.e from address) email address

### smtp

    public static String smtp()

  Returns the address of the mail server used for sending mail.

### pop

    public static String pop()

  Returns the address of the pop server used for reading mail.

### mailUserName

    public static String mailUserName()

  Returns the e-mail account name.

### mailPassword

    public static String mailPassword()

  Returns the e-mail account password.

### pollTime

    public static int pollTime()

  Returns the delay, in seconds, used when polling for mail.

### mash

    public static String mash(String v)

### mashAddr

    public static String mashAddr(String addr)

### mashedReturnAddress

    public static String mashedReturnAddress()

### longUserName

    public static String longUserName(String shortUserName)

### longUserName

    public static String longUserName(String shortUserName,
                                      String returnAddress)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD